## org.red5.server
Class LoaderBase

    java.lang.Object
      org.red5.server.LoaderBase

All Implemented Interfaces:
  ApplicationContextAware

Direct Known Subclasses:
  TomcatLoader

    public class LoaderBase

extends Object
implements ApplicationContextAware

Base class for all J2EE application loaders.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de), Paul Gregoire (mondain@gmail.com)

Field Summary
`protected static ApplicationContext` `applicationContext` We store the application context so we can access it later.
`protected static ThreadLocal<IApplicationLoader>` `loader` Loader for new applications.
`static Map<String,IApplicationContext>` `red5AppCtx` Current Red5 application context, set by the different loaders.
`protected String` `webappFolder` Folder containing the webapps.

Constructor Summary
`LoaderBase()`

Method Summary
`static ApplicationContext` `getApplicationContext()` Getter for application context
`static IApplicationLoader` `getApplicationLoader()` Getter for the application loader.
`static IApplicationContext` `getRed5ApplicationContext(String path)` Getter for a Red5 application context.
`static Map<String,IApplicationContext>` `getRed5ApplicationContexts()` Returns the map containing all of the registered Red5 application contexts.
`void` `removeContext(String path)` Remove context from the current host.
`static IApplicationContext` `removeRed5ApplicationContext(String path)` Remover for a Red5 application context.
`void` `setApplicationContext(ApplicationContext context)` Setter for application context.
`static void` `setApplicationLoader(IApplicationLoader loader)` Setter for the application loader.
`static void` `setRed5ApplicationContext(String path, IApplicationContext context)` Setter for a Red5 application context.
`void` `setWebappFolder(String webappFolder)` Set the folder containing webapps.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### applicationContext

    protected static ApplicationContext applicationContext

  We store the application context so we can access it later.

### red5AppCtx

    public static Map<String,IApplicationContext> red5AppCtx

  Current Red5 application context, set by the different loaders.

### loader

    protected static ThreadLocal<IApplicationLoader> loader

  Loader for new applications.

### webappFolder

    protected String webappFolder

  Folder containing the webapps.

Constructor Detail

### LoaderBase

    public LoaderBase()

Method Detail

### getApplicationLoader

    public static IApplicationLoader getApplicationLoader()

  Getter for the application loader.

  Returns:
    Application loader

### setApplicationLoader

    public static void setApplicationLoader(IApplicationLoader loader)

  Setter for the application loader.

  Parameters:
    `loader` - Application loader

### getRed5ApplicationContexts

    public static Map<String,IApplicationContext> getRed5ApplicationContexts()

  Returns the map containing all of the registered Red5 application contexts.

  Returns:
    a map

### getRed5ApplicationContext

    public static IApplicationContext getRed5ApplicationContext(String path)

  Getter for a Red5 application context.

  Parameters:
    `path` - path
  Returns:
    Red5 application context

### setRed5ApplicationContext

    public static void setRed5ApplicationContext(String path,
                                                 IApplicationContext context)

  Setter for a Red5 application context.

  Parameters:
    `path` - path
    `context` - Red5 application context

### removeRed5ApplicationContext

    public static IApplicationContext removeRed5ApplicationContext(String path)

  Remover for a Red5 application context.

  Parameters:
    `path` - path
  Returns:
    Red5 application context

### getApplicationContext

    public static ApplicationContext getApplicationContext()

  Getter for application context

  Returns:
    Application context

### setApplicationContext

    public void setApplicationContext(ApplicationContext context)
                               throws BeansException

  Setter for application context.

  Specified by:
    `setApplicationContext` in interface `ApplicationContextAware`
  Parameters:
    `context` - Application context
  Throws:
    `BeansException` - Abstract superclass for all exceptions thrown in the beans package and subpackages

### setWebappFolder

    public void setWebappFolder(String webappFolder)

  Set the folder containing webapps.

  Parameters:
    `webappFolder` - web app folder

### removeContext

    public void removeContext(String path)

  Remove context from the current host.

  Parameters:
    `path` - Path

Copyright © 2006-2010 The Red5 Project